published on Friday, Oct 9, 2026 by Pulumi
published on Friday, Oct 9, 2026 by Pulumi
This data source provides the list of Registration Policies in Oracle Cloud Infrastructure Data Safe service.
Retrieves a list of registration policies according to the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testRegistrationPolicies = oci.datasafe.getRegistrationPolicies({
compartmentId: compartmentId,
accessLevel: registrationPolicyAccessLevel,
compartmentIdInSubtree: registrationPolicyCompartmentIdInSubtree === "true",
connectionId: testConnection.id,
connectionType: registrationPolicyConnectionType,
displayName: registrationPolicyDisplayName,
enablementLevel: registrationPolicyEnablementLevel,
registrationPolicyId: testRegistrationPolicy.id,
resourceId: testResource.id,
state: registrationPolicyState,
timeCreatedGreaterThanOrEqualTo: registrationPolicyTimeCreatedGreaterThanOrEqualTo,
timeCreatedLessThan: registrationPolicyTimeCreatedLessThan,
});
import pulumi
import pulumi_oci as oci
test_registration_policies = oci.datasafe.get_registration_policies(compartment_id=compartment_id,
access_level=registration_policy_access_level,
compartment_id_in_subtree=registration_policy_compartment_id_in_subtree == "true",
connection_id=test_connection["id"],
connection_type=registration_policy_connection_type,
display_name=registration_policy_display_name,
enablement_level=registration_policy_enablement_level,
registration_policy_id=test_registration_policy["id"],
resource_id=test_resource["id"],
state=registration_policy_state,
time_created_greater_than_or_equal_to=registration_policy_time_created_greater_than_or_equal_to,
time_created_less_than=registration_policy_time_created_less_than)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetRegistrationPolicies(ctx, &datasafe.GetRegistrationPoliciesArgs{
CompartmentId: compartmentId,
AccessLevel: pulumi.StringRef(registrationPolicyAccessLevel),
CompartmentIdInSubtree: pulumi.BoolRef(registrationPolicyCompartmentIdInSubtree),
ConnectionId: pulumi.StringRef(testConnection.Id),
ConnectionType: pulumi.StringRef(registrationPolicyConnectionType),
DisplayName: pulumi.StringRef(registrationPolicyDisplayName),
EnablementLevel: pulumi.StringRef(registrationPolicyEnablementLevel),
RegistrationPolicyId: pulumi.StringRef(testRegistrationPolicy.Id),
ResourceId: pulumi.StringRef(testResource.Id),
State: pulumi.StringRef(registrationPolicyState),
TimeCreatedGreaterThanOrEqualTo: pulumi.StringRef(registrationPolicyTimeCreatedGreaterThanOrEqualTo),
TimeCreatedLessThan: pulumi.StringRef(registrationPolicyTimeCreatedLessThan),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testRegistrationPolicies = Oci.DataSafe.GetRegistrationPolicies.Invoke(new()
{
CompartmentId = compartmentId,
AccessLevel = registrationPolicyAccessLevel,
CompartmentIdInSubtree = registrationPolicyCompartmentIdInSubtree,
ConnectionId = testConnection.Id,
ConnectionType = registrationPolicyConnectionType,
DisplayName = registrationPolicyDisplayName,
EnablementLevel = registrationPolicyEnablementLevel,
RegistrationPolicyId = testRegistrationPolicy.Id,
ResourceId = testResource.Id,
State = registrationPolicyState,
TimeCreatedGreaterThanOrEqualTo = registrationPolicyTimeCreatedGreaterThanOrEqualTo,
TimeCreatedLessThan = registrationPolicyTimeCreatedLessThan,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetRegistrationPoliciesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testRegistrationPolicies = DataSafeFunctions.getRegistrationPolicies(GetRegistrationPoliciesArgs.builder()
.compartmentId(compartmentId)
.accessLevel(registrationPolicyAccessLevel)
.compartmentIdInSubtree(registrationPolicyCompartmentIdInSubtree)
.connectionId(testConnection.id())
.connectionType(registrationPolicyConnectionType)
.displayName(registrationPolicyDisplayName)
.enablementLevel(registrationPolicyEnablementLevel)
.registrationPolicyId(testRegistrationPolicy.id())
.resourceId(testResource.id())
.state(registrationPolicyState)
.timeCreatedGreaterThanOrEqualTo(registrationPolicyTimeCreatedGreaterThanOrEqualTo)
.timeCreatedLessThan(registrationPolicyTimeCreatedLessThan)
.build());
}
}
variables:
testRegistrationPolicies:
fn::invoke:
function: oci:DataSafe:getRegistrationPolicies
arguments:
compartmentId: ${compartmentId}
accessLevel: ${registrationPolicyAccessLevel}
compartmentIdInSubtree: ${registrationPolicyCompartmentIdInSubtree}
connectionId: ${testConnection.id}
connectionType: ${registrationPolicyConnectionType}
displayName: ${registrationPolicyDisplayName}
enablementLevel: ${registrationPolicyEnablementLevel}
registrationPolicyId: ${testRegistrationPolicy.id}
resourceId: ${testResource.id}
state: ${registrationPolicyState}
timeCreatedGreaterThanOrEqualTo: ${registrationPolicyTimeCreatedGreaterThanOrEqualTo}
timeCreatedLessThan: ${registrationPolicyTimeCreatedLessThan}
pulumi {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_datasafe_getregistrationpolicies" "testRegistrationPolicies" {
compartment_id = compartmentId
access_level = registrationPolicyAccessLevel
compartment_id_in_subtree = registrationPolicyCompartmentIdInSubtree
connection_id = testConnection.id
connection_type = registrationPolicyConnectionType
display_name = registrationPolicyDisplayName
enablement_level = registrationPolicyEnablementLevel
registration_policy_id = testRegistrationPolicy.id
resource_id = testResource.id
state = registrationPolicyState
time_created_greater_than_or_equal_to = registrationPolicyTimeCreatedGreaterThanOrEqualTo
time_created_less_than = registrationPolicyTimeCreatedLessThan
}
Using getRegistrationPolicies
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getRegistrationPolicies(args: GetRegistrationPoliciesArgs, opts?: InvokeOptions): Promise<GetRegistrationPoliciesResult>
function getRegistrationPoliciesOutput(args: GetRegistrationPoliciesOutputArgs, opts?: InvokeOutputOptions): Output<GetRegistrationPoliciesResult>def get_registration_policies(access_level: Optional[str] = None,
compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
connection_id: Optional[str] = None,
connection_type: Optional[str] = None,
display_name: Optional[str] = None,
enablement_level: Optional[str] = None,
filters: Optional[Sequence[GetRegistrationPoliciesFilter]] = None,
registration_policy_id: Optional[str] = None,
resource_id: Optional[str] = None,
state: Optional[str] = None,
time_created_greater_than_or_equal_to: Optional[str] = None,
time_created_less_than: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetRegistrationPoliciesResult
def get_registration_policies_output(access_level: pulumi.Input[Optional[str]] = None,
compartment_id: pulumi.Input[Optional[str]] = None,
compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
connection_id: pulumi.Input[Optional[str]] = None,
connection_type: pulumi.Input[Optional[str]] = None,
display_name: pulumi.Input[Optional[str]] = None,
enablement_level: pulumi.Input[Optional[str]] = None,
filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetRegistrationPoliciesFilterArgs]]]] = None,
registration_policy_id: pulumi.Input[Optional[str]] = None,
resource_id: pulumi.Input[Optional[str]] = None,
state: pulumi.Input[Optional[str]] = None,
time_created_greater_than_or_equal_to: pulumi.Input[Optional[str]] = None,
time_created_less_than: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetRegistrationPoliciesResult]func GetRegistrationPolicies(ctx *Context, args *GetRegistrationPoliciesArgs, opts ...InvokeOption) (*GetRegistrationPoliciesResult, error)
func GetRegistrationPoliciesOutput(ctx *Context, args *GetRegistrationPoliciesOutputArgs, opts ...InvokeOption) GetRegistrationPoliciesResultOutput> Note: This function is named GetRegistrationPolicies in the Go SDK.
public static class GetRegistrationPolicies
{
public static Task<GetRegistrationPoliciesResult> InvokeAsync(GetRegistrationPoliciesArgs args, InvokeOptions? opts = null)
public static Output<GetRegistrationPoliciesResult> Invoke(GetRegistrationPoliciesInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetRegistrationPoliciesResult> Invoke(GetRegistrationPoliciesInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOptions options)
public static Output<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOptions options)
public static Output<GetRegistrationPoliciesResult> getRegistrationPolicies(GetRegistrationPoliciesArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getRegistrationPolicies:getRegistrationPolicies
arguments:
# arguments dictionarydata "oci_data_safe_get_registration_policies" "name" {
# arguments
}The following arguments are supported:
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Connection
Id string - Filter to return the registration policies matching the specified connection ID.
- Connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- Display
Name string - A filter to return only resources that match the specified display name.
- Enablement
Level string - Filter registration policies by resource type.
- Filters
List<Get
Registration Policies Filter> - Registration
Policy stringId - Filter to return the registration policy matching the specified OCID.
- Resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- State string
- Filter registration policies by their lifecycle state.
- Time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- Time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Connection
Id string - Filter to return the registration policies matching the specified connection ID.
- Connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- Display
Name string - A filter to return only resources that match the specified display name.
- Enablement
Level string - Filter registration policies by resource type.
- Filters
[]Get
Registration Policies Filter - Registration
Policy stringId - Filter to return the registration policy matching the specified OCID.
- Resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- State string
- Filter registration policies by their lifecycle state.
- Time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- Time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- access_
level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- connection_
id string - Filter to return the registration policies matching the specified connection ID.
- connection_
type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- display_
name string - A filter to return only resources that match the specified display name.
- enablement_
level string - Filter registration policies by resource type.
- filters list(object)
- registration_
policy_ stringid - Filter to return the registration policy matching the specified OCID.
- resource_
id string - Filter to return the registration policy matching the specified resource OCID.
- state string
- Filter registration policies by their lifecycle state.
- time_
created_ stringgreater_ than_ or_ equal_ to A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time_
created_ stringless_ than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- connection
Id String - Filter to return the registration policies matching the specified connection ID.
- connection
Type String - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- display
Name String - A filter to return only resources that match the specified display name.
- enablement
Level String - Filter registration policies by resource type.
- filters
List<Get
Registration Policies Filter> - registration
Policy StringId - Filter to return the registration policy matching the specified OCID.
- resource
Id String - Filter to return the registration policy matching the specified resource OCID.
- state String
- Filter registration policies by their lifecycle state.
- time
Created StringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created StringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id booleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- connection
Id string - Filter to return the registration policies matching the specified connection ID.
- connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- display
Name string - A filter to return only resources that match the specified display name.
- enablement
Level string - Filter registration policies by resource type.
- filters
Get
Registration Policies Filter[] - registration
Policy stringId - Filter to return the registration policy matching the specified OCID.
- resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- state string
- Filter registration policies by their lifecycle state.
- time
Created stringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created stringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- access_
level str - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- connection_
id str - Filter to return the registration policies matching the specified connection ID.
- connection_
type str - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- display_
name str - A filter to return only resources that match the specified display name.
- enablement_
level str - Filter registration policies by resource type.
- filters
Sequence[Get
Registration Policies Filter] - registration_
policy_ strid - Filter to return the registration policy matching the specified OCID.
- resource_
id str - Filter to return the registration policy matching the specified resource OCID.
- state str
- Filter registration policies by their lifecycle state.
- time_
created_ strgreater_ than_ or_ equal_ to A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time_
created_ strless_ than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- connection
Id String - Filter to return the registration policies matching the specified connection ID.
- connection
Type String - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- display
Name String - A filter to return only resources that match the specified display name.
- enablement
Level String - Filter registration policies by resource type.
- filters List<Property Map>
- registration
Policy StringId - Filter to return the registration policy matching the specified OCID.
- resource
Id String - Filter to return the registration policy matching the specified resource OCID.
- state String
- Filter registration policies by their lifecycle state.
- time
Created StringGreater Than Or Equal To A filter to return only the resources that were created after the specified date and time, as defined by RFC3339. Using TimeCreatedGreaterThanOrEqualToQueryParam parameter retrieves all resources created after that date.
Example: 2016-12-19T16:39:57.600Z
- time
Created StringLess Than Search for resources that were created before a specific date. Specifying this parameter corresponding
timeCreatedLessThanparameter will retrieve all resources created before the specified created date, in "YYYY-MM-ddThh:mmZ" format with a Z offset, as defined by RFC 3339.Example: 2016-12-19T16:39:57.600Z
getRegistrationPolicies Result
The following output properties are available:
- Compartment
Id string - The OCID for the compartment containing the registration policy.
- Id string
- The provider-assigned unique ID for this managed resource.
- Registration
Policy List<GetCollections Registration Policies Registration Policy Collection> - The list of registration_policy_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Connection
Id string - Connection
Type string - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- Display
Name string - The display name of the registration policy.
- Enablement
Level string - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- Filters
List<Get
Registration Policies Filter> - Registration
Policy stringId - Resource
Id string - The OCID of the resource used in the registration policy.
- State string
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- Time
Created stringGreater Than Or Equal To - Time
Created stringLess Than
- Compartment
Id string - The OCID for the compartment containing the registration policy.
- Id string
- The provider-assigned unique ID for this managed resource.
- Registration
Policy []GetCollections Registration Policies Registration Policy Collection - The list of registration_policy_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Connection
Id string - Connection
Type string - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- Display
Name string - The display name of the registration policy.
- Enablement
Level string - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- Filters
[]Get
Registration Policies Filter - Registration
Policy stringId - Resource
Id string - The OCID of the resource used in the registration policy.
- State string
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- Time
Created stringGreater Than Or Equal To - Time
Created stringLess Than
- compartment_
id string - The OCID for the compartment containing the registration policy.
- id string
- The provider-assigned unique ID for this managed resource.
- registration_
policy_ list(object)collections - The list of registration_policy_collection.
- access_
level string - compartment_
id_ boolin_ subtree - connection_
id string - connection_
type string - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- display_
name string - The display name of the registration policy.
- enablement_
level string - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- filters list(object)
- registration_
policy_ stringid - resource_
id string - The OCID of the resource used in the registration policy.
- state string
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- time_
created_ stringgreater_ than_ or_ equal_ to - time_
created_ stringless_ than
- compartment
Id String - The OCID for the compartment containing the registration policy.
- id String
- The provider-assigned unique ID for this managed resource.
- registration
Policy List<GetCollections Registration Policies Registration Policy Collection> - The list of registration_policy_collection.
- access
Level String - compartment
Id BooleanIn Subtree - connection
Id String - connection
Type String - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- display
Name String - The display name of the registration policy.
- enablement
Level String - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- filters
List<Get
Registration Policies Filter> - registration
Policy StringId - resource
Id String - The OCID of the resource used in the registration policy.
- state String
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- time
Created StringGreater Than Or Equal To - time
Created StringLess Than
- compartment
Id string - The OCID for the compartment containing the registration policy.
- id string
- The provider-assigned unique ID for this managed resource.
- registration
Policy GetCollections Registration Policies Registration Policy Collection[] - The list of registration_policy_collection.
- access
Level string - compartment
Id booleanIn Subtree - connection
Id string - connection
Type string - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- display
Name string - The display name of the registration policy.
- enablement
Level string - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- filters
Get
Registration Policies Filter[] - registration
Policy stringId - resource
Id string - The OCID of the resource used in the registration policy.
- state string
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- time
Created stringGreater Than Or Equal To - time
Created stringLess Than
- compartment_
id str - The OCID for the compartment containing the registration policy.
- id str
- The provider-assigned unique ID for this managed resource.
- registration_
policy_ Sequence[Getcollections Registration Policies Registration Policy Collection] - The list of registration_policy_collection.
- access_
level str - compartment_
id_ boolin_ subtree - connection_
id str - connection_
type str - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- display_
name str - The display name of the registration policy.
- enablement_
level str - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- filters
Sequence[Get
Registration Policies Filter] - registration_
policy_ strid - resource_
id str - The OCID of the resource used in the registration policy.
- state str
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- time_
created_ strgreater_ than_ or_ equal_ to - time_
created_ strless_ than
- compartment
Id String - The OCID for the compartment containing the registration policy.
- id String
- The provider-assigned unique ID for this managed resource.
- registration
Policy List<Property Map>Collections - The list of registration_policy_collection.
- access
Level String - compartment
Id BooleanIn Subtree - connection
Id String - connection
Type String - The connection type used to connect to the database. Allowed values:
- PRIVATE_ENDPOINT - Represents connection through private endpoint in Data Safe.
- ONPREM_CONNECTOR - Represents connection through on-premises connector in Data Safe.
- display
Name String - The display name of the registration policy.
- enablement
Level String - The resource type which has been opted in for the registration policy.
- DATABASE - The registration policy will be opted in at the Container Database level.
- filters List<Property Map>
- registration
Policy StringId - resource
Id String - The OCID of the resource used in the registration policy.
- state String
- The lifecycle state of the registration policy.
- CREATING - The registration policy is getting created.
- ACTIVE - The registration policy has been successfully created.
- UPDATING - The registration policy is getting updated.
- NEEDS_ATTENTION - The registration policy needs attention.
- FAILED - The registration policy creation or update has failed.
- DELETING - The registration policy is getting deleted.
- time
Created StringGreater Than Or Equal To - time
Created StringLess Than
Supporting Types
GetRegistrationPoliciesFilter
GetRegistrationPoliciesRegistrationPolicyCollection
GetRegistrationPoliciesRegistrationPolicyCollectionItem
- Can
Override boolFeatures - Indicates whether features will be overridden.
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Connection
Options List<GetRegistration Policies Registration Policy Collection Item Connection Option> - Types of connection supported by Data Safe.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Description string
- A description of the registration policy.
- Display
Name string - A filter to return only resources that match the specified display name.
- Enablement
Level string - Filter registration policies by resource type.
- Features List<string>
- The Data Safe features granted to the databases registering under the registration policy.
- Dictionary<string, string>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Id string
- The OCID of the registration policy.
- Lifecycle
State stringDetails - Details about the lifecycle state of the registration policy
- Opc
Dry boolRun - Resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- State string
- Filter registration policies by their lifecycle state.
- Dictionary<string, string>
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The date and time when the registration policy was created.
- Time
Updated string - The date and time when the registration policy was last updated.
- XCluster
Id string
- Can
Override boolFeatures - Indicates whether features will be overridden.
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Connection
Options []GetRegistration Policies Registration Policy Collection Item Connection Option - Types of connection supported by Data Safe.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Description string
- A description of the registration policy.
- Display
Name string - A filter to return only resources that match the specified display name.
- Enablement
Level string - Filter registration policies by resource type.
- Features []string
- The Data Safe features granted to the databases registering under the registration policy.
- map[string]string
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Id string
- The OCID of the registration policy.
- Lifecycle
State stringDetails - Details about the lifecycle state of the registration policy
- Opc
Dry boolRun - Resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- State string
- Filter registration policies by their lifecycle state.
- map[string]string
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - Time
Created string - The date and time when the registration policy was created.
- Time
Updated string - The date and time when the registration policy was last updated.
- XCluster
Id string
- can_
override_ boolfeatures - Indicates whether features will be overridden.
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- connection_
options list(object) - Types of connection supported by Data Safe.
- map(string)
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description string
- A description of the registration policy.
- display_
name string - A filter to return only resources that match the specified display name.
- enablement_
level string - Filter registration policies by resource type.
- features list(string)
- The Data Safe features granted to the databases registering under the registration policy.
- map(string)
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id string
- The OCID of the registration policy.
- lifecycle_
state_ stringdetails - Details about the lifecycle state of the registration policy
- opc_
dry_ boolrun - resource_
id string - Filter to return the registration policy matching the specified resource OCID.
- state string
- Filter registration policies by their lifecycle state.
- map(string)
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - time_
created string - The date and time when the registration policy was created.
- time_
updated string - The date and time when the registration policy was last updated.
- x_
cluster_ stringid
- can
Override BooleanFeatures - Indicates whether features will be overridden.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- connection
Options List<GetRegistration Policies Registration Policy Collection Item Connection Option> - Types of connection supported by Data Safe.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description String
- A description of the registration policy.
- display
Name String - A filter to return only resources that match the specified display name.
- enablement
Level String - Filter registration policies by resource type.
- features List<String>
- The Data Safe features granted to the databases registering under the registration policy.
- Map<String,String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id String
- The OCID of the registration policy.
- lifecycle
State StringDetails - Details about the lifecycle state of the registration policy
- opc
Dry BooleanRun - resource
Id String - Filter to return the registration policy matching the specified resource OCID.
- state String
- Filter registration policies by their lifecycle state.
- Map<String,String>
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The date and time when the registration policy was created.
- time
Updated String - The date and time when the registration policy was last updated.
- x
Cluster StringId
- can
Override booleanFeatures - Indicates whether features will be overridden.
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- connection
Options GetRegistration Policies Registration Policy Collection Item Connection Option[] - Types of connection supported by Data Safe.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description string
- A description of the registration policy.
- display
Name string - A filter to return only resources that match the specified display name.
- enablement
Level string - Filter registration policies by resource type.
- features string[]
- The Data Safe features granted to the databases registering under the registration policy.
- {[key: string]: string}
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id string
- The OCID of the registration policy.
- lifecycle
State stringDetails - Details about the lifecycle state of the registration policy
- opc
Dry booleanRun - resource
Id string - Filter to return the registration policy matching the specified resource OCID.
- state string
- Filter registration policies by their lifecycle state.
- {[key: string]: string}
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created string - The date and time when the registration policy was created.
- time
Updated string - The date and time when the registration policy was last updated.
- x
Cluster stringId
- can_
override_ boolfeatures - Indicates whether features will be overridden.
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- connection_
options Sequence[GetRegistration Policies Registration Policy Collection Item Connection Option] - Types of connection supported by Data Safe.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description str
- A description of the registration policy.
- display_
name str - A filter to return only resources that match the specified display name.
- enablement_
level str - Filter registration policies by resource type.
- features Sequence[str]
- The Data Safe features granted to the databases registering under the registration policy.
- Mapping[str, str]
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id str
- The OCID of the registration policy.
- lifecycle_
state_ strdetails - Details about the lifecycle state of the registration policy
- opc_
dry_ boolrun - resource_
id str - Filter to return the registration policy matching the specified resource OCID.
- state str
- Filter registration policies by their lifecycle state.
- Mapping[str, str]
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - time_
created str - The date and time when the registration policy was created.
- time_
updated str - The date and time when the registration policy was last updated.
- x_
cluster_ strid
- can
Override BooleanFeatures - Indicates whether features will be overridden.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- connection
Options List<Property Map> - Types of connection supported by Data Safe.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - description String
- A description of the registration policy.
- display
Name String - A filter to return only resources that match the specified display name.
- enablement
Level String - Filter registration policies by resource type.
- features List<String>
- The Data Safe features granted to the databases registering under the registration policy.
- Map<String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id String
- The OCID of the registration policy.
- lifecycle
State StringDetails - Details about the lifecycle state of the registration policy
- opc
Dry BooleanRun - resource
Id String - Filter to return the registration policy matching the specified resource OCID.
- state String
- Filter registration policies by their lifecycle state.
- Map<String>
- System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example:
{"orcl-cloud.free-tier-retained": "true"} - time
Created String - The date and time when the registration policy was created.
- time
Updated String - The date and time when the registration policy was last updated.
- x
Cluster StringId
GetRegistrationPoliciesRegistrationPolicyCollectionItemConnectionOption
- Connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- Identifiers List<string>
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- Connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- Identifiers []string
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- connection_
type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- identifiers list(string)
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- connection
Type String - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- identifiers List<String>
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- connection
Type string - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- identifiers string[]
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- connection_
type str - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- identifiers Sequence[str]
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
- connection
Type String - Filter to return the registration policies matching the specified connectionType i.e ONPREM_CONNECTOR or PRIVATE_ENDPOINT.
- identifiers List<String>
- List of OCIDs required to establish the connection.
- For
PRIVATE_ENDPOINT, provide the OCID(s) of Data Safe private endpoint(s). - For
ONPREM_CONNECTOR, provide the OCID(s) of on-premises connector(s).
- For
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
published on Friday, Oct 9, 2026 by Pulumi